Name:          jaybird
Version:       2.2.7
Release:       1%{?dist}
Summary:       JDBC Driver for the Firebird RDBMS
License:       BSD and LGPLv3
URL:           http://www.firebirdsql.org/en/jdbc-driver/
Source0:       http://downloads.sourceforge.net/firebird/Jaybird-%{version}-src.tar.gz
Source1:       http://www.gnu.org/licenses/lgpl-3.0.txt
Source2:       BSD-3c.txt

Patch0:        jaybird-2.2.7-system-libs.patch

BuildRequires: ant
BuildRequires: antlr3-java
BuildRequires: cpptasks
BuildRequires: java-devel
BuildRequires: jboss-connector-1.7-api
BuildRequires: junit

%if %{?fedora} >= 21
BuildRequires: javapackages-local
BuildRequires: log4j12
%else
BuildRequires: log4j
BuildRequires: maven-local
%endif

%description
Jaybird is a JCA/JDBC driver suite for the Firebird database server.

%package java
Summary:       Jaybird JDBC Driver
BuildArch:     noarch

%description java
Jaybird JDBC Driver.

%package javadoc
Summary:       Javadoc for %{name}
BuildArch:     noarch

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n Jaybird-%{version}-src
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete
find . -name "*.so" -print -delete
find . -name "*.dll" -print -delete
find . -name "*.zip" -print -delete
rm -r bin

sed -i '/<unjar/d' build/compile.xml

sed -i '/connector-api-1.5.jar/d' build/archive.xml
# NO test deps
sed -i 's/, compile-tests//' build/compile.xml
# NO examples deps
sed -i 's/, compile-examples//' build/compile.xml

sed -i "s/artifactId>jaybird-jdkXX/artifactId>jaybird-jdk/" build/maven-release/jaybird-example.pom
sed -i "s/version>2.2.0-beta-1-SNAPSHOT/version>%{version}/" build/maven-release/jaybird-example.pom
sed -i "s/version>1.2.15/version>1.2.17/" build/maven-release/jaybird-example.pom
%pom_remove_dep javax.resource:connector-api build/maven-release/jaybird-example.pom
%pom_add_dep org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec:1.0.0.Final build/maven-release/jaybird-example.pom
cp -p build/maven-release/%{name}-example.pom %{name}.pom
%patch0 -p0
%if %{?fedora} >= 21
sed -i 's/log4j.jar/log4j12-1.2.17.jar/' build/init.xml
%endif

for s in src/test/org/firebirdsql/jca/TestXABase.java \
  src/test/org/firebirdsql/jdbc/TestFBEncodings.java \
  src/test/org/firebirdsql/pool/TestFBConnectionPoolDataSource.java \
  examples/DataSourceExample.java; do
 native2ascii -encoding UTF8 ${s} ${s}
done

sed -i '/<move/d' build_native.xml

cp -p %SOURCE1 lgpl.txt
cp -p %SOURCE2 BSD.txt
sed -i 's/\r//' BSD.txt lgpl.txt

%build

ant -Dant.java.version=1.7 jar-ra javadocs
export CLASSPATH=$(build-classpath ant/cpptasks) JAVA_HOME=%{_jvmdir}/java
ant compile-native -Djava_home=$JAVA_HOME

%install
%mvn_file org.firebirdsql.jdbc:%{name}-jdk %{name}
%mvn_alias org.firebirdsql.jdbc:%{name}-jdk :%{name}-jdk16 :%{name}-jdk17 :%{name}-jdk18
%mvn_artifact %{name}.pom output/lib/%{name}-%{version}.jar
%mvn_install -J output/docs

mkdir -p %{buildroot}%{_libdir}/%{name}
install -pm 755 output/native/libjaybird22*.so %{buildroot}%{_libdir}/%{name}/libjaybird22.so

%files 
%{_libdir}/%{name}
%doc output/etc/*.html
%license BSD.txt lgpl.txt

%files java -f .mfiles
%license BSD.txt lgpl.txt

%files javadoc -f .mfiles-javadoc
%license BSD.txt lgpl.txt

%changelog
* Thu Apr 30 2015 gil cattaneo <puntogil@libero.it> 2.2.7-1
- initial rpm
